org.eclipse.jdt.ui

## Interface IWorkingCopyManagerExtension

    public interface IWorkingCopyManagerExtension

Extension interface for `IWorkingCopyManager`.

Introduces API to set and remove the working copy for a given editor input.

Since:
  2.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `removeWorkingCopy(IEditorInput input)` Removes the working copy set for the given editor input.
`void` `setWorkingCopy(IEditorInput input, ICompilationUnit workingCopy)` Sets the given working copy for the given editor input.

### Method Detail

#### setWorkingCopy

    void setWorkingCopy(IEditorInput input,
                        ICompilationUnit workingCopy)

Sets the given working copy for the given editor input. If the given editor input is not connected to this working copy manager, this call has no effect.

This working copy manager does not assume the ownership of this working copy, i.e., the given working copy is not automatically be freed when this manager is shut down.

Parameters:
  `input` - the editor input
  `workingCopy` - the working copy

#### removeWorkingCopy

    void removeWorkingCopy(IEditorInput input)

Removes the working copy set for the given editor input. If there is no working copy set for this input or this input is not connected to this working copy manager, this call has no effect.

Parameters:
  `input` - the editor input